Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160394 - Haldaemon makes system sluggish
Summary: Haldaemon makes system sluggish
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-14 21:16 UTC by Sindre Pedersen Bjørdal
Modified: 2013-03-06 03:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-23 11:41:26 UTC


Attachments (Terms of Use)
Output of lshal (deleted)
2005-06-14 21:17 UTC, Sindre Pedersen Bjørdal
no flags Details
Output lspci.txt (deleted)
2005-06-14 21:18 UTC, Sindre Pedersen Bjørdal
no flags Details

Description Sindre Pedersen Bjørdal 2005-06-14 21:16:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Epiphany/1.6.1

Description of problem:
Haldaemon is making system sluggish with slight glitches about every 3 seconds. Cause unknown. Attached output of lcpci and lshal

Version-Release number of selected component (if applicable):
hal-0.5.2-2

How reproducible:
Always

Steps to Reproduce:
1

Additional info:

Comment 1 Sindre Pedersen Bjørdal 2005-06-14 21:17:37 UTC
Created attachment 115430 [details]
Output of lshal

Comment 2 Sindre Pedersen Bjørdal 2005-06-14 21:18:29 UTC
Created attachment 115431 [details]
Output lspci.txt

Comment 3 David Zeuthen 2005-06-14 21:26:27 UTC
Please try booting with acpi=off - does this make the bug go away?

Comment 4 David Zeuthen 2005-06-14 21:35:16 UTC
From IRC (we need to keep this in bugzilla):
> Foolish davidz: this computer can't use acpi.
> Foolish " kernel: ACPI: BIOS age (1999) fails cutoff (2001), acpi=force is
> required to enable ACPI"

OK; try to disable the haldaemon (service haldaemon stop), boot into GNOME and
add the battery-stat applet. Does that make the system become sluggish again? 

Comment 5 Sindre Pedersen Bjørdal 2005-06-14 22:23:49 UTC
Adding the battery applet does indeed bring the sluggishness back. 

Comment 6 David Zeuthen 2005-06-15 01:23:02 UTC
Rhis is either a bug in the APM code in the kernel or perhaps in the BIOS.
Suggest to update the BIOS if possible. Reassigning to kernel.

Comment 7 Dave Jones 2005-07-05 20:49:37 UTC
nothing the kernel can do here. we just call the BIOS. If that takes an eternity
to come back, it's the BIOS at fault, not the kernel.  The only thing to do in
such situations is not poll the apm interface as often.


Comment 8 Christian Iseli 2007-01-22 11:52:57 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.


Note You need to log in before you can comment on or make changes to this bug.